<header id="header" class="">
  <nav class="navbar navbar-expand-lg navbar-light sombraHeader  " style="background-color: #f2f2f2;">
    <a  [routerLink]="['/core']"><figure class="logo m-0"></figure></a>
    <button class="navbar-toggler " type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <i class="fas fa-bars "></i>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">

      <div class="grid gridTemplate2Col gridTemplateHeader w-100">
        <ul class="navbar-nav gHeader1">
          <li class="nav-item dropdown">
            <a class="nav-link  CSO" [routerLink]="['/core/ticket']"(click)="classBooleanActive()"  >
              <i class="fas fa-car-alt"></i> <span > Ticket</span> </a>
          </li>
          <li class="nav-item">
            <a class="nav-link  CSO" [routerLink]="['/core/bitacora']" (click)="classBooleanActive()" >
              <i class="fas fa-clipboard-list"></i> <span > Bitacora</span> </a>
          </li>
          <li class="nav-item">
            <a class="nav-link dropdown-toggle  CSO" href="#" id="navbarDropdownConsult" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-wrench"></i><span > Consulta</span></a>
            <div class="dropdown-menu " aria-labelledby="navbarDropdownConsult">
              <a class="dropdown-item CSO" [routerLink]="['/core/consulta/historico']" >Historico</a>
              <a class="dropdown-item CSO" [routerLink]="['/core/consulta/graficos']" >Graficos</a>
              <a class="dropdown-item CSO" [routerLink]="['/core/reporte']" >Reportes gráficos</a>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link dropdown-toggle  CSO" href="#" id="navbarDropdownAdmin" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
             <i class="fas fa-wrench"></i><span > Administración</span></a>
           <div class="dropdown-menu " aria-labelledby="navbarDropdownAdmin">
             <a class="dropdown-item CSO" [routerLink]="['/core/administracion/usuario']" >Usuario</a>
             <a class="dropdown-item CSO" [routerLink]="['/core/administracion/perfil']" >Perfiles</a>
             <a class="dropdown-item CSO" [routerLink]="['/core/administracion/permiso']" >Permisos</a>
             <a class="dropdown-item CSO" [routerLink]="['/core/administracion/usuarioPerfil']" >Usuario Perfil</a>
             <a class="dropdown-item CSO" [routerLink]="['/core/administracion/perfilPermiso']" >Perfil Permiso</a>
           </div>
          </li>
        </ul>

        <ul class="navbar-nav gHeader2">
          <li class="text-center" style="line-height: 1;">
            <a class="nav-link dropdown-toggle  CSO" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <span class="font-weight-bold CSO mx-1">{{usuario[0].primerNombre}} {{usuario[0].primerApellido}}</span><br>
              <span class="CSO FSS" style="opacity: 0.7">{{usuario[0].perfil}}</span></a>
            <div class="dropdown-menu dropdown-menu-usuario" aria-labelledby="navbarDropdown">
              <a class="dropdown-item CSO" (click)="cerrarSesion()"  > Cerrar Sesión</a>
            </div>
          </li>
        </ul>
      </div>


    </div>
  </nav>
</header>


<div class="container-fluid " id="content">
  <div [ngClass]="{ 'd-none': classBoolean }" class="row ">
    <div class="col-sm-4 mb-2">
      <a  [routerLink]="['/core/ticket']" (click)="classBooleanActive()" >
        <div class="grid  gridCategoria">
          <div class="gridCategoriaIcono">
            <i class="fas fa-car-alt fa-3x text-white"></i>
          </div>
          <div class="gridCategoriaText">
            <span > Ticket</span>
          </div>
        </div>
      </a>
    </div>
    <div class="col-sm-4 mb-2">
      <a [routerLink]="['/core/bitacora']" (click)="classBooleanActive()" >
        <div class="grid gridCategoria ">
          <div class="gridCategoriaIcono">
            <i class="fas fa-clipboard-list fa-3x text-white"></i>
          </div>
          <div class="gridCategoriaText">
            <span > Bitacora</span>
          </div>
        </div>
      </a>
    </div>
    <div class="col-sm-4 mb-2">
      <a  [routerLink]="['/core/consulta/historico']" (click)="classBooleanActive()" >
        <div class="grid gridCategoria">
          <div class="gridCategoriaIcono">
            <i class="fas fa-search fa-3x text-white"></i>
          </div>
          <div class="gridCategoriaText">
            <span > Consulta</span>
          </div>
        </div>
      </a>
    </div>
    <div class="col-sm-4 mb-2">
      <a [routerLink]="['/core/reporte']" (click)="classBooleanActive()">
        <div class="grid gridCategoria">
          <div class="gridCategoriaIcono">
            <i class="fas fa-project-diagram fa-3x text-white"></i>
          </div>
          <div class="gridCategoriaText">
            <span> Reportes</span>
          </div>
        </div>
      </a>
    </div>
  </div>
  <router-outlet></router-outlet>
</div>
